Mailinglist Archive: opensuse-updates (112 mails)

< Previous Next >
openSUSE-RU-2017:1197-1: moderate: Recommended update for grub2
openSUSE Recommended Update: Recommended update for grub2
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:1197-1
Rating: moderate
References: #1015138 #1016536 #1023160 #1027401 #1031025

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has 5 recommended fixes can now be installed.

Description:

This update for grub2 provides the following fixes:

- Fix out of memory error on lvm detection. (bsc#1016536, bsc#1027401)
- Fix regression on how GRUB_DISABLE_LINUX_UUID=true is interpreted.
(bsc#1015138)
- Fix boot failure if /boot is a separate btrfs partition. (bsc#1023160)
- Fix savedefault option when using btrfs as root file system.
(bsc#1031025)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-559=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

grub2-2.02~beta2-94.3.1
grub2-branding-upstream-2.02~beta2-94.3.1
grub2-debuginfo-2.02~beta2-94.3.1
grub2-debugsource-2.02~beta2-94.3.1
grub2-i386-pc-2.02~beta2-94.3.1

- openSUSE Leap 42.2 (noarch):

grub2-snapper-plugin-2.02~beta2-94.3.1
grub2-systemd-sleep-plugin-2.02~beta2-94.3.1

- openSUSE Leap 42.2 (x86_64):

grub2-x86_64-efi-2.02~beta2-94.3.1
grub2-x86_64-xen-2.02~beta2-94.3.1

- openSUSE Leap 42.2 (i586):

grub2-i386-efi-2.02~beta2-94.3.1


References:

https://bugzilla.suse.com/1015138
https://bugzilla.suse.com/1016536
https://bugzilla.suse.com/1023160
https://bugzilla.suse.com/1027401
https://bugzilla.suse.com/1031025


< Previous Next >
This Thread
  • No further messages